#ifndef SDCARDMANAGER_H
#define SDCARDMANAGER_H
#include <SD.h>
#include "definition.h"

class SDCardManager
{
  friend class SAB;
  public:
  double getSize(const SizeUnit sizeUnit = GBYTE) const;
  SDClass& getSdCardHandler();
  protected:
    SDCardManager(SDClass& sdCard);
  private:
    SDClass& _sdCardRef;
};

#endif //SDCARDMANAGER_H
