#include "definition.h" 
#include "PinMapping.h"
#include "SAB.h"
#include "views.h"

SAB sab;
long *memoryEater = NULL;

unsigned long currentMs = 0;
int mySize = 0;
DateTimePacket dtp = {sab.getRtcManager().getDateTime(), sab.getSdCardManager().getSize(GBYTE)};

void setup() {
  // put your setup code here, to run once:
  Serial.println("Starting setup");
  
  sab.getScreenManager().addView(&(view_1), &dtp, 1);

  Serial.print("SD size : ");Serial.println(sab.getSdCardManager().getSize(GBYTE));
  Serial.print("SD size : ");Serial.println(sab.getSdCardManager().getSize(GBIT));
  Serial.print("SD size : ");Serial.println(sab.getSdCardManager().getSize(MBYTE));
  Serial.print("SD size : ");Serial.println(sab.getSdCardManager().getSize(MBIT));
  Serial.print("SD size : ");Serial.println(sab.getSdCardManager().getSize(KBYTE));
  Serial.print("SD size : ");Serial.println(sab.getSdCardManager().getSize(KBIT));
  
  Serial.println("End setup");
}

void loop() {
  if(millis() - currentMs > 1000)
  {
    currentMs = millis();
    dtp.dateTime = sab.getRtcManager().getDateTime();
    sab.getScreenManager().displayView(1);

    long *temp = (long *) realloc(memoryEater,sizeof(long) * ++mySize);

    if(temp != NULL)
      memoryEater = temp;
    else
    {
      free(memoryEater);memoryEater = NULL;mySize = 0;
    }
  }
}
